Voici la marche à suivre pour compiler la version de développement d’inkscape , la 0.47 en l’occurrence, sous la distribution linux phare, ubuntu. Merci popolon pour le coup de main !


Cette méthode expliquée ici fonctionne sur la version 8.10 et la 9.04.

 

Tout d’abord, on lance un terminal.               ( menu Accessoires / terminal)

Il faudra tout d’abord installer des paquetages nécessaires à la compilation. Voici les commandes à taper :


sudo apt-get install automake intltool libpng-dev libgc-dev libfreetype6-dev libxft-dev libpango1.0-dev libgnomevfs2-dev liblcms1-dev libgtkmm-2.4-dev libsigc++-2.0-dev libxslt1-dev libgsl0-dev libboost-thread-dev

(votre mot de passe sera demandé)


Ensuite , téléchargez les dernières sources sur ce lien.   (basez vous sur la date)

Une fois l’archive téléchargée (elle doit se trouver sur votre bureau) , décompressez la avec un clic droit / extraire ici.


Il ne reste qu’à se rendre (en ligne de commande) , dans le dossier qui contient les sources décompressées.

Toujours avec le terminal …

cd Bureau (attention à la majuscule)

cd Inkscape …. (pour éviter de tout taper , tapez inkscape puis appuyez sur la touche TAB)



Tapez ensuite cette commande :

./configure –prefix=/opt/inkscape047 (attention il y a un . au début et deux  – avant prefix)

En décodé , cela installera notre version de développement dans le dossier /opt/inkscape047. On peut renommer le dossier en tartempion mais j’en vois peu l’utilité…

Si tout se passe bien , vous devriez obtenir ceci :



Tapez ensuite la commande  :

make


Ceci doit apparaître :



Il y en a pour un loooong moment de patience ! :)



C’est terminé ! ou presque…

Tapez cette commande pour installer la version sur votre disque dur.

sudo make install

Le travail est terminé ? Fermez le terminal , nous n’en avons plus besoin. Il ne reste plus qu’a créer un lanceur sur votre bureau. Clic droit / Créer un lanceur …



Remplissez comme sur l’image, cliquez sur Valider et votre « raccourci » est terminé.

La version de developpement cohabitera parfaitement avec la 0.46 fournie par ubuntu.  :) A vous les joies des tests de nouveautées !